Bug 141973 - Calc crashes after F5 pressing when opened some file
Summary: Calc crashes after F5 pressing when opened some file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2021-04-29 14:24 UTC by Roman Kuznetsov
Modified: 2021-05-05 14:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
simple far smaller demo (7.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-05-01 15:18 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2021-04-29 14:24:07 UTC
Description:
Calc crashes after F5 pressing when opened some file

https://crashreport.libreoffice.org/stats/crash_details/408da3f2-79cd-45c2-b369-a469646199c7

Steps to Reproduce:
1. Open https://bugs.documentfoundation.org/attachment.cgi?id=157561 in cerrent master 7.2 (it will take about 1 minute)
2. Press F5 (I wanted open Navigator) 
3. Wait about few second => Calc crashes

It's a regression because in build from 26 April I didn't see this problem

https://crashreport.libreoffice.org/stats/crash_details/408da3f2-79cd-45c2-b369-a469646199c7

Actual Results:
Calc crashes

Expected Results:
Calc opens Navigator


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f616d96bd8ce8986e4cc204953db0467e6060b5c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded
Comment 1 Xisco Faulí 2021-04-29 14:44:31 UTC
Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 78ad3fe28321a9e2e4eaa0dcc8f1ccdaed0b1f79
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2021-04-29 14:54:02 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1a891f2fadae01aca95157b09d6ea8e223bee1ea

author	Caolán McNamara <caolanm@redhat.com>	2021-04-23 21:09:16 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2021-04-27 09:49:25 +0200
commit	1a891f2fadae01aca95157b09d6ea8e223bee1ea (patch)
tree	66d84e59ea881588ddd429cdb14f2e24c69e5cb2
parent	62f6d6ee8bca918e17ae167582095f4302203bed (diff)
Related: tdf#130326 allow bulk_insert_for_each to insert under a node

Bisected with: bibisect-linux64-7.2

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2021-04-29 15:02:15 UTC
Its possible that https://gerrit.libreoffice.org/c/core/+/114615 addresses that
Comment 4 Commit Notification 2021-05-01 15:17:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c2678fb0b409eb75b15e056ba7c91a4320550e4a

tdf#141973 create the text column to insert into

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-05-01 15:18:25 UTC
for uitest purposes a drawing with a name has to be in the source document when the navigator is launched
Comment 6 Caolán McNamara 2021-05-01 15:18:50 UTC
Created attachment 171569 [details]
simple  far smaller demo
Comment 7 Xisco Faulí 2021-05-05 08:53:13 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 1a99b4e44190e182d56a04678850d62635d74c65
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue and providing a smaller sample document. I've just submitted a UItest to gerrit !!
Comment 8 Commit Notification 2021-05-05 14:26:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c6d0986acb50941d30257cb497466066badfcaa1

tdf#141973: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.